All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Rotate
Rotate

## Functions

NppStatus | nppiRotate_8u_C1R_Ctx (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation, NppStreamContext nppStreamCtx)
| 8-bit unsigned image rotate. More...
NppStatus | nppiRotate_8u_C1R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation)
NppStatus | nppiRotate_8u_C3R_Ctx (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned image rotate. More...
NppStatus | nppiRotate_8u_C3R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation)
NppStatus | nppiRotate_8u_C4R_Ctx (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned image rotate. More...
NppStatus | nppiRotate_8u_C4R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation)
NppStatus | nppiRotate_8u_AC4R_Ctx (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned image rotate ignoring alpha channel. More...
NppStatus | nppiRotate_8u_AC4R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation)
NppStatus | nppiRotate_16u_C1R_Ctx (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation, NppStreamContext nppStreamCtx)
| 16-bit unsigned image rotate. More...
NppStatus | nppiRotate_16u_C1R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation)
NppStatus | nppiRotate_16u_C3R_Ctx (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned image rotate. More...
NppStatus | nppiRotate_16u_C3R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation)
NppStatus | nppiRotate_16u_C4R_Ctx (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned image rotate. More...
NppStatus | nppiRotate_16u_C4R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation)
NppStatus | nppiRotate_16u_AC4R_Ctx (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned image rotate ignoring alpha channel. More...
NppStatus | nppiRotate_16u_AC4R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation)
NppStatus | nppiRotate_32f_C1R_Ctx (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation, NppStreamContext nppStreamCtx)
| 32-bit float image rotate. More...
NppStatus | nppiRotate_32f_C1R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation)
NppStatus | nppiRotate_32f_C3R_Ctx (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation, NppStreamContext nppStreamCtx)
| 3 channel 32-bit float image rotate. More...
NppStatus | nppiRotate_32f_C3R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation)
NppStatus | nppiRotate_32f_C4R_Ctx (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 32-bit float image rotate. More...
NppStatus | nppiRotate_32f_C4R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation)
NppStatus | nppiRotate_32f_AC4R_Ctx (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation, NppStreamContext nppStreamCtx)
| 4 channel 32-bit float image rotate ignoring alpha channel. More...
NppStatus | nppiRotate_32f_AC4R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, double nAngle, double nShiftX, double nShiftY, int eInterpolation)

## Detailed Description

### Common parameters for nppiRotate functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSrcSize | Size in pixels of the source image
  oSrcROI | Region of interest in the source image.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oDstROI | Region of interest in the destination image.
  nAngle | The angle of rotation in degrees.
  nShiftX | Shift along horizontal axis
  nShiftY | Shift along vertical axis
  eInterpolation | The type of interpolation to perform resampling
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Rotate Error Codes

## Function Documentation

NppStatus nppiRotate_16u_AC4R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation
| ) |  |

NppStatus nppiRotate_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned image rotate ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiRotate functions.

NppStatus nppiRotate_16u_C1R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation
| ) |  |

NppStatus nppiRotate_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned image rotate.

For common parameter descriptions, see Common parameters for nppiRotate functions.

NppStatus nppiRotate_16u_C3R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation
| ) |  |

NppStatus nppiRotate_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned image rotate.

For common parameter descriptions, see Common parameters for nppiRotate functions.

NppStatus nppiRotate_16u_C4R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation
| ) |  |

NppStatus nppiRotate_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned image rotate.

For common parameter descriptions, see Common parameters for nppiRotate functions.

NppStatus nppiRotate_32f_AC4R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation
| ) |  |

NppStatus nppiRotate_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit float image rotate ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiRotate functions.

NppStatus nppiRotate_32f_C1R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation
| ) |  |

NppStatus nppiRotate_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float image rotate.

For common parameter descriptions, see Common parameters for nppiRotate functions.

NppStatus nppiRotate_32f_C3R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation
| ) |  |

NppStatus nppiRotate_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit float image rotate.

For common parameter descriptions, see Common parameters for nppiRotate functions.

NppStatus nppiRotate_32f_C4R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation
| ) |  |

NppStatus nppiRotate_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit float image rotate.

For common parameter descriptions, see Common parameters for nppiRotate functions.

NppStatus nppiRotate_8u_AC4R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation
| ) |  |

NppStatus nppiRotate_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned image rotate ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiRotate functions.

NppStatus nppiRotate_8u_C1R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation
| ) |  |

NppStatus nppiRotate_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned image rotate.

For common parameter descriptions, see Common parameters for nppiRotate functions.

NppStatus nppiRotate_8u_C3R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation
| ) |  |

NppStatus nppiRotate_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned image rotate.

For common parameter descriptions, see Common parameters for nppiRotate functions.

NppStatus nppiRotate_8u_C4R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation
| ) |  |

NppStatus nppiRotate_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | double | nAngle,
|  | double | nShiftX,
|  | double | nShiftY,
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned image rotate.

For common parameter descriptions, see Common parameters for nppiRotate functions.

Copyright © 2009-2019 NVIDIA Corporation